This discussion is archived
5 Replies Latest reply: Sep 2, 2013 11:07 AM by Hussein Sawwan-Oracle RSS

cloning error with zip version

Dan A Explorer
Currently Being Moderated

Hi

 

I am migrating our 11.5.10.2 version of EBS that lives on RHEL 5.5 to a new RHEL 6 box (virtual machine)

 

I have copied over the source files.

 

I am now trying to run  adcfgclone.pl with the following command
perl adcfgclone.pl dbTier /home/sid/clone/context_db/SID_context.xml</home/sid/clone/file.txt

I am getting several errors.
RC-20200: Fatal: Could not find Unzip. At this time only Native UnZip 5.X is supported.
Please make sure you have UnZip 5.X in your path and try again...

I have issued the following, hoping that it would allow me to "downgrade" the zip utility:
export PATH=/u01/oracle/siddb/11.2.0/bin/unzip:$PATH

However unzip -v gives me
UnZip 6.00 of 20 April 2009, by Info-ZIP.  Maintained by C. Spieler.  Send

I run the adcfgclone again and in the log there is a report of missing two files:
adcrdb.sh
&
adcrdbclone.sql

 

I copy them from the source. I ensure they have the same owner and permissions as other templates, but the failure again points to the zip version (though when I look into the log I can see it is also missing those two files again.

 

I have read that the solution is to run pre-clone and AC on the source - can anyone please assist?

 

I have also tried copying over the unzip from the source system, again I got the same error:

Please make sure you have UnZip 5.X in your path and try again..

 

A futher look at the log, and the very last line reads :

Started unzipping files...

 

Also, I am aware of the RC-20200: Fatal: Could not find Unzip. At this time only Native UnZip 5.X is supported (Doc ID 1410514.1)

But we are using 11.5.10.2

 

EBS 11.5.10.2

DB 11.2.0.3

Red Hat Enterprise Linux Server release 6.4 (64bit)

 

Message was edited by: DanA

  • 1. Re: cloning error with zip version
    Hussein Sawwan-Oracle Employee ACE
    Currently Being Moderated

    Dan,

     

    I am migrating our 11.5.10.2 version of EBS that lives on RHEL 5.5 to a new RHEL 6 box (virtual machine)


    Oracle EBS 11i is not certified on RHEL/OEL 6


    Please also note that 11i is not certified on Linux 64-bit for the application tier node.


    Unzip Verion 6 Does Not Work With adpreclone.pl (Doc ID 1313092.1)


    Thanks,

    Hussein

  • 2. Re: cloning error with zip version
    Dan A Explorer
    Currently Being Moderated

    Hi Hussein

     

    You are correct.

     

    However, I opened a ticket with Oracle, and there is a patch to apply on the source that will allow adclone to work on this version of unzip

    (I did work around it by copying over the source's version of unzip, but for a proper fix I need to apply this patch)

     

    Unzip Verion 6 Does Not Work With adpreclone.pl (Doc ID 1313092.1)

     

    The patch applied updates two files:

    ad java/util FileUnzip.java version 115.41
    ad java/util FileZip.java version 115.36

     

    The problem (for me) is, after applying the patch, I am not sure how to check the versions of these files - I cant find them anywhere on the server.

     

    Does anyone have any ideas?

     

    Thanks!

     

    DA

  • 3. Re: cloning error with zip version
    Dan A Explorer
    Currently Being Moderated

    Hi Hussein

     

    You are correct.

     

    However, I opened a ticket with Oracle, and there is a patch to apply on the source that will allow adclone to work on this version of unzip

    (I did work around it by copying over the source's version of unzip, but for a proper fix I need to apply this patch)

     

    Unzip Verion 6 Does Not Work With adpreclone.pl (Doc ID 1313092.1)

     

    The patch applied updates two files:

    ad java/util FileUnzip.java version 115.41
    ad java/util FileZip.java version 115.36

     

    The problem (for me) is, after applying the patch, I am not sure how to check the versions of these files - I cant find them anywhere on the server.

     

    Does anyone have any ideas?

     

    Thanks!

     

    DA

  • 4. Re: cloning error with zip version
    Asif Muhammad Guru
    Currently Being Moderated

    Hi DA,

     

    You may find the versions of these file either by using "strings" or "adident" command.

     

    OS command (strings):r

    strings -a <path to the file> | grep '$Header'

     

    or ad Utilities (adident)

    1. Source the Apps env

    2. adident Header <path to the file>

     

     

    Hope this helps!

    Thanks &

    Best Regards,

  • 5. Re: cloning error with zip version
    Hussein Sawwan-Oracle Employee ACE
    Currently Being Moderated

    Dan,

     

    Since Oracle doesn't provide java code you will not be able to find those java files, and instead you have to check the class files as follows:

     

    - Login as applmgr user and source the application env file

     

    $ cd $JAVA_TOP/oracle/apps/ad/util


    $ adident Header FileUnzip.class

    $ adident Header FileZip.class


    Or,


    $ strings -a FileUnzip.class | grep Header

    $ strings -a FileZip.class | grep Header

     

    How To Find the Java Class File and Version (Doc ID 444154.1)

     

    Thanks,

    Hussein

Legend

  • Correct Answers - 10 points
  • Helpful Answers - 5 points